#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-KoYhFeZDI9GIvj7w0pm1hF
key:                  hoogle-5.0.18.4-KoYhFeZDI9GIvj7w0pm1hF
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  50c7685d89418a3b0b8274c10f9f8e1b
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-KoYhFeZDI9GIvj7w0pm1hF
include-dirs:         /usr/lib/ghc-9.4.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-JT8ioqllyin7h2duLhwDbF
    aeson-2.1.2.1-LS8mizUYnpf1U9zpV4sjcf base-4.17.2.1 binary-0.8.9.1
    blaze-html-0.9.2.0-7T5tBdPknWXDUJ5NeSXWzj
    blaze-markup-0.8.3.0-4zGQB5UMO8P5hF725cGajZ bytestring-0.11.5.3
    cmdargs-0.10.22-KMcxPO0UszDDPT8hI73uO5
    conduit-1.3.6.1-LEKlJ5sjhOMOY4BoQvHAk
    conduit-extra-1.3.6-2wqo8ucVt5IGPwh2HHGSdk containers-0.6.7
    crypton-connection-0.4.1-2OZvtvswaTbJ5rEn9HpJHb deepseq-1.4.8.0
    directory-1.3.7.1 extra-1.7.16-5m7TC0OmR1yJEj0luDg7V3
    filepath-1.4.2.2 foundation-0.0.30-12Txz3iSpP7C328yP2AUlY
    hashable-1.4.4.0-Jc2uKL4S7Fl9QLNJZYpfiY
    haskell-src-exts-1.23.1-BzyMXcZNztJ6lgISqRJKxQ
    http-conduit-2.3.9.1-6kcitIgkYMzASPRujG35V6
    http-types-0.12.4-3waRWhsRr1C4PfAAAPJbwc
    js-flot-0.8.3-IKtJvuN3TOl6yoqyRfRs9e
    js-jquery-3.3.1-5yPYalLT2vk2xaxWPGAHj3
    mmap-0.5.9-Elwtwd4pUdW5gAqAC4PwUa
    old-locale-1.0.0.7-KCPcWVOQKME2P4y4gxzvhh
    process-extras-0.7.4-GAwGMRjoweEF4pvKbU0qZ6
    resourcet-1.2.6-GnLJF89DOOQL8wsZDsu1Nb
    safe-0.3.21-D0Qa6qmXFrgLhocJR17U7j
    storable-tuple-0.1-D1xiFu6yLkbI0sF4uWrD22
    tar-0.5.1.1-FbhiFJT9rV7IgMs1cD4nyJ template-haskell-2.19.0.0
    text-2.0.2 time-1.12.2 transformers-0.5.6.2
    uniplate-1.6.13-A9LofKiYwag88a19tHTX3K
    utf8-string-1.0.2-D0oARDqSiCF3CIA0pPBIDm
    vector-0.13.2.0-KDCTRjRQ0urK2B6TNAGAn8
    wai-3.2.4-3SqC73n3qJdLTkLMbZrVoF
    wai-logger-2.5.0-B6AsKG7xROmCxI3ZhnFgCg
    warp-3.3.30-Gi1JAQRG27SIrwRqtuxt3h
    warp-tls-3.4.9-6C5SzY3XrQKC4l6aJE3ev7
    zlib-0.6.3.0-DQJ3sjglCnhJjpkMXQsJJY

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

